<?php

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './foro/'; // Cambia /foro/ por el nombre de la carpeta donde este tu foro.
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

page_header('Soporte Oficial Internacional de phpBB en España'); // Cambia aquí el título de la página...

// Número de últimos temas a mostrar, en este caso 5 temas.
$search_limit = 5;
// ID's de los Foros de donde sacar los temas, en este caso foro ID 4, puede separarse con comas más foro, e.j.; aray(4,5,6);
$forum_id = array(4);
get_last_topics($search_limit, $forum_id);

$template->set_filenames(array(
    'body' => 'home.html', // Nombre del archivo de plantilla usado, debe estar ubicado en /styles/prosilver/template/home.html
));

make_jumpbox(append_sid("{$phpbb_root_path}viewforum.$phpEx"));

page_footer();


function get_last_topics($search_limit, $forum_id) {
    global $db, $template, $user;
    global $phpbb_root_path, $phpEx;

    // Buscamos los ID de los primeros mensajes de cada foro
    $sql = 'SELECT forum_id, topic_id, topic_type, topic_poster, topic_first_post_id
		FROM ' . TOPICS_TABLE . '
		WHERE ' . $db->sql_in_set('forum_id', $forum_id, false, true) . '
		ORDER BY topic_time DESC';
    $result = $db->sql_query_limit($sql, $search_limit);

    $selected_ids = array();
    while ($row = $db->sql_fetchrow($result)) {
        $selected_ids[] = $row['topic_first_post_id'];
    }
    $db->sql_freeresult($result);

    // Buscamos todo el contenido necesario
    $posts_ary = array(
        'SELECT' => 'p.*, t.*',
        'FROM' => array(
            POSTS_TABLE => 'p',
        ),
        'LEFT_JOIN' => array(
            array(
                'FROM' => array(TOPICS_TABLE => 't'),
                'ON' => 'p.topic_id = t.topic_id'
            ),
        ),
        'WHERE' => $db->sql_in_set('p.post_id', $selected_ids) . '
			AND t.topic_status <> ' . ITEM_MOVED . '
			AND t.topic_visibility = 1',
        'ORDER_BY' => 't.topic_last_post_time DESC',
    );

    $posts_ary['SELECT'] .= ',u.username, u.user_colour';
    $posts_ary['LEFT_JOIN'][] = array('FROM' => array(USERS_TABLE => 'u'), 'ON' => 'u.user_id = p.poster_id');
    $posts_sql = $db->sql_build_query('SELECT', $posts_ary);
    $posts_result = $db->sql_query_limit($posts_sql, $search_limit);

    while ($posts_row = $db->sql_fetchrow($posts_result)) {
        $topic_title = censor_text($posts_row['topic_title']);
        $post_author = get_username_string('full', $posts_row['poster_id'], $posts_row['username'], $posts_row['user_colour']);
        $post_date = $user->format_date($posts_row['post_time']);
		$post_link = append_sid("{$phpbb_root_path}viewtopic.$phpEx", "p=" . $posts_row['post_id'] . "#p" . $posts_row['post_id']);

        // Mandamos todo los datos a la plantilla
        $template->assign_block_vars('last_topics', array(
			'POST_LINK'		=> $post_link,
            'TOPIC_TITLE'	=> $topic_title,
            'POST_AUTHOR'	=> $post_author,
            'POST_DATE'		=> $post_date,
        ));
    }

    // Datos comunes para la plantilla
    $template->assign_vars(array(
        'LAST_POST_IMG' => $user->img('icon_topic_latest', 'VIEW_LATEST_POST'),
    ));
}
